> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact by ID (customer or vendor)



## OpenAPI

````yaml api-reference/openapi.json get /api/contacts/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/contacts/{id}:
    get:
      tags:
        - Contacts
      summary: Get contact by ID (customer or vendor)
      operationId: ContactsController_getContact
      parameters:
        - name: id
          required: true
          in: path
          description: Contact ID
          schema:
            type: number
      responses:
        '200':
          description: Contact details (under "customer" key for form/duplicate use)

````